# changeValue method Null safety

1. @override

dynamic changeValue(

1. String documentId,
2. String fieldName,
3. num changeByThisValue

)
override

## Implementation

    @override
    Future<DynamicWidgetModel> changeValue(
        String documentId, String fieldName, num changeByThisValue) {
      return reference
          .changeValue(documentId, fieldName, changeByThisValue)
          .then((newValue) {
        fullCache[documentId] = newValue;
        return newValue!;
      });
    }